NVME-DSM(1)

NAME
nvme-dsm - Send NVMe Data Set Management, return results

SYNOPSIS

nvme dsm <device> [--namespace-id=<nsid> | -n <nsid>]
                        [--ctx-attrs=<attribute-list,> | -a <attribute-list,>]
                        [--blocks=<nlb-list,> | -b <nlb-list,>]
                        [--slbs=<slba-list,> | -s <slba-list,>]
                        [--ad=<deallocate> | -d <deallocate>]
                        [--idw=<write> | -w <write>] [--idr=<read> | -r <read>]
                        [--cdw11=<cdw11> | -c <cdw11>]
                        [--output-format=<fmt> | -o <fmt>] [--verbose | -v]
                        [--timeout=<timeout> | -t <timeout>]

DESCRIPTION

For the NVMe device given, sends a Data Set Management command and provides the result and returned structure.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1). If the character device is given, the '--namespace-id' option is mandatory, otherwise it will use the ns-id of the namespace for the block device you opened. For block devices, the ns-id used can be overridden with the same option.

You must specify at least one of the values for range list. If the range lists provided do not list the same number of elements, the default values for the remaining in the range will be set to 0.

The command dword 11 may be provided at the command line. For convenience, the current defined attributes (discard, integral read/write) for a data-set management have flags. If cdw11 is specified, this will override any settings from the flags may have provided.

OPTIONS

-n <nsid>, --namespace-id=<nsid>
    Sends the command with the requested nsid. This is required for the character devices, or overrides the block nsid if given.

-a <attribute-list,>, --ctx-attrs=<attribute-list>
    Comma separated list of the context attributes in each range

-b <nlb-list,>, --blocks=<nlb-list,>
    Comma separated list of the number of blocks in each range

-s <slba-list,>, --slbs=<slba-list,>
    Comma separated list of the starting block in each range

-d <deallocate>, --ad=<deallocate>
    Attribute Deallocate.

-w <write>, --idw=<write>
    Attribute Integral Dataset for Write.

-r <read>, --idr=<read>
    Attribute Integral Dataset for Read.

-c <cdw11>, --cdw11=<cdw11>
    All the command command dword 11 attributes. Use exclusive from specifying individual attributes

-o <fmt>, --output-format=<fmt>
    Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v, --verbose
    Increase the information detail in the output.

-t <timeout>, --timeout=<timeout>
    Override default timeout value. In milliseconds.

EXAMPLES

No examples yet

NVME

Part of the nvme-user suite